> ## Documentation Index
> Fetch the complete documentation index at: https://quartr.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a company



## OpenAPI

````yaml https://api.quartr.com/public/v3/openapi.json get /public/v3/companies/{id}
openapi: 3.0.0
info:
  title: Quartr Public API
  description: The Quartr Public API
  version: '3.0'
  contact: {}
servers:
  - url: https://api.quartr.com
security: []
tags:
  - name: Companies
    description: ''
  - name: Events
    description: ''
  - name: Event Types
    description: ''
  - name: Documents
    description: ''
  - name: Document Types
    description: ''
  - name: Reports
    description: ''
  - name: Slides
    description: ''
  - name: Transcripts
    description: ''
  - name: Backlog Audio
    description: ''
  - name: Live
    description: ''
  - name: Live Audio
    description: ''
  - name: Live Transcripts
    description: ''
paths:
  /public/v3/companies/{id}:
    get:
      tags:
        - Companies
      summary: Retrieve a company
      operationId: CompaniesControllerV3_getCompanyById
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyResponseDto'
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  message:
                    example: Unauthorized
                    type: string
                  statusCode:
                    example: 401
                    type: number
                type: object
        '403':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  message:
                    example: Forbidden
                    type: string
                  statusCode:
                    example: 403
                    type: number
                type: object
        '404':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  message:
                    example: Not Found
                    type: string
                  statusCode:
                    example: 404
                    type: number
                type: object
      security:
        - apiKey: []
components:
  schemas:
    CompanyResponseDto:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/CompanyDto'
      required:
        - data
    CompanyDto:
      type: object
      properties:
        country:
          type: string
          example: US
        displayName:
          type: string
          example: Apple
        id:
          type: number
          example: 4742
        name:
          type: string
          example: Apple Inc.
        tickers:
          example:
            - ticker: AAPL
              exchange: BASE
            - ticker: AAPL
              exchange: NasdaqGS
          type: array
          items:
            $ref: '#/components/schemas/TickerDto'
        isins:
          example:
            - US0378331005
          type: array
          items:
            type: string
        cik:
          type: string
          example: '0000320193'
        openfigi:
          example:
            - BBG001S5N8V8
          description: OpenFIGI share class identifiers (global share class level)
          type: array
          items:
            type: string
        updatedAt:
          format: date-time
          type: string
          example: '2021-09-15T15:00:00.000Z'
        createdAt:
          format: date-time
          type: string
          example: '2021-09-01T12:00:00.000Z'
        backlinkUrl:
          type: string
          example: https://example.com
      required:
        - country
        - id
        - name
        - updatedAt
        - createdAt
        - backlinkUrl
    TickerDto:
      type: object
      properties:
        ticker:
          type: string
        exchange:
          type: string
      required:
        - ticker
        - exchange
  securitySchemes:
    apiKey:
      in: header
      name: x-api-key
      type: apiKey

````